## org.eclipse.xsd.impl
Class XSDConcreteComponentImpl.XSDContentsEList.FeatureIteratorImpl

    java.lang.Object
      org.eclipse.emf.ecore.util.EContentsEList.FeatureIteratorImpl<XSDConcreteComponent>
          org.eclipse.xsd.impl.XSDConcreteComponentImpl.XSDContentsEList.FeatureIteratorImpl

All Implemented Interfaces:
  java.util.Iterator<XSDConcreteComponent>, java.util.ListIterator<XSDConcreteComponent>, EContentsEList.FeatureIterator<XSDConcreteComponent>, EContentsEList.FeatureListIterator<XSDConcreteComponent>

Enclosing class:
  XSDConcreteComponentImpl.XSDContentsEList

    public static class XSDConcreteComponentImpl.XSDContentsEList.FeatureIteratorImpl

extends EContentsEList.FeatureIteratorImpl<XSDConcreteComponent>

Field Summary

Fields inherited from class org.eclipse.emf.ecore.util.EContentsEList.FeatureIteratorImpl
`cursor, EMPTY_ITERATOR, eObject, eStructuralFeatures, feature, featureCursor, isHandlingFeatureMap, prepared, preparedFeature, preparedResult, valueInternalEList, valueList, valueListIndex, valueListSize, values`

Constructor Summary
`XSDConcreteComponentImpl.XSDContentsEList.FeatureIteratorImpl(EObject eObject)`
`XSDConcreteComponentImpl.XSDContentsEList.FeatureIteratorImpl(EObject eObject, EStructuralFeature[] eStructuralFeatures)`

Method Summary
`protected boolean` `isIncluded(EStructuralFeature eStructuralFeature)`

Methods inherited from class org.eclipse.emf.ecore.util.EContentsEList.FeatureIteratorImpl
`add, emptyIterator, feature, hasNext, hasPrevious, isIncludedEntry, next, nextIndex, previous, previousIndex, remove, resolve, scanNext, scanNext, scanPrevious, scanPrevious, set, useIsSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSDConcreteComponentImpl.XSDContentsEList.FeatureIteratorImpl

    public XSDConcreteComponentImpl.XSDContentsEList.FeatureIteratorImpl(EObject eObject)

### XSDConcreteComponentImpl.XSDContentsEList.FeatureIteratorImpl

    public XSDConcreteComponentImpl.XSDContentsEList.FeatureIteratorImpl(EObject eObject,
                                                                         EStructuralFeature[] eStructuralFeatures)

Method Detail

### isIncluded

    protected boolean isIncluded(EStructuralFeature eStructuralFeature)

  Overrides:
    `isIncluded` in class `EContentsEList.FeatureIteratorImpl<XSDConcreteComponent>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.